#ifndef __AUDIO_H__
#define __AUDIO_H__

//#include "VERSION.H"

/////////////////////////////////////////////////
//
// MUSE Header for .CK4
//
/////////////////////////////////////////////////

#define NUMSOUNDS     LASTSOUND
#define NUMSNDCHUNKS  ((3*LASTSOUND)+LASTMUSIC)

//
// Sound names & indexes
//
typedef enum {
	SND_WORLDWALK1,		// 0
	SND_WORLDWALK2,
	SND_JUMP,
	SND_LAND,
	SND_KEENFIRE,
	SND_WORMOUTHATTACK,
	SND_6,	// 6
	SND_POGOBOUNCE,
	SND_GETPOINTS,
	SND_GETAMMO,
	SND_GETWATER,
	SND_WITCHDOCSEARCH,	// 11
	SND_ENTERLEVEL,
	SND_LEVELDONE,
	SND_NOWAY,
	SND_HELMETHIT,
	SND_BOUNCE2,
	SND_EXTRAKEEN,
	SND_OPENDOOR,
	SND_GETKEY,
	SND_PLUMMET,
	SND_USESWITCH,
	SND_SQUISH,
	SND_KEENDEAD,
	SND_WITCHDOCCHARGE,	// 24
	SND_SHOTEXPLODE,
	SND_SWIM1,
	SND_SWIM2,
	SND_BOUNCE1,
	SND_EATBONUS,
	SND_TREASUREEATERVANISH,
	SND_LINDSEY,
	SND_LICKATTACK,
	SND_BERKELOIDATTACK,
	SND_SHOWSTATUS,
	SND_HIDESTATUS,
	SND_BLUB,
	SND_MINEEXPLODE,
	SND_SPRITEFIRE,
	SND_THUNDER,
	SND_FIREBALLLAND,
	SND_SHOOTDART,
	SND_BURP,
	SND_FLAGSPIN,
	SND_FLAGLAND,
	SND_MAKEFOOT,
	SND_SLUGPOO,
	KEENPADDLESND,
	BALLBOUNCESND,
	COMPPADDLESND,
	COMPSCOREDSND,
	KEENSCOREDSND,
	SND_BADOINGPOPUP,
	SND_STINGARUJUMP,
	LASTSOUND
} soundnames;

#if LASTSOUND != 54
#error bad sound enum!
#endif

#define NOWAYSND SND_NOWAY

//
// Base offsets
//
#define STARTPCSOUNDS     0
#define STARTADLIBSOUNDS  (STARTPCSOUNDS+NUMSOUNDS)
#define STARTDIGISOUNDS   (STARTADLIBSOUNDS+NUMSOUNDS)
#define STARTMUSIC        (STARTDIGISOUNDS+NUMSOUNDS)

//
// Music names & indexes
//
typedef enum {
	SLOWBURN_MUS,
	SLACK_MUS,
	K4S4C_MUS,
	GOODTIME_MUS,
	DOPEY_MUS,
	WONDER_MUS,
	WORLD_MUS,
	LASTMUSIC
} musicnames;

/////////////////////////////////////////////////
//
// Thanks for playing with MUSE!
//
/////////////////////////////////////////////////

#endif